Package org.apache.sling.feature

# Class Configurations

java.lang.Object
java.util.AbstractCollection<Configuration>
java.util.AbstractList<Configuration>
java.util.ArrayList<Configuration>
org.apache.sling.feature.Configurations

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Iterable<Configuration>`, `Collection<Configuration>`, `List<Configuration>`, `RandomAccess`

public class Configurations extends ArrayList<Configuration>
A container for configurations. This class is not thread-safe.

See Also:
  - Serialized Form

## Field Summary

### Fields inherited from class java.util.AbstractList

`modCount`

## Constructor Summary

Constructors
Constructor
Description
`Configurations()`

## Method Summary

Modifier and Type
Method
Description
`Configuration`
`getConfiguration(String pid)`
Get the configuration
`Collection<Configuration>`
`getFactoryConfigurations(String factoryPid)`
Get all factory configurations matching the factory pid.

### Methods inherited from class java.util.ArrayList

`add, add, addAll, addAll, clear, clone, contains, ensureCapacity, forEach, get, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeIf, removeRange, replaceAll, retainAll, set, size, sort, spliterator, subList, toArray, toArray, trimToSize`

### Methods inherited from class java.util.AbstractList

`equals, hashCode`

### Methods inherited from class java.util.AbstractCollection

`containsAll, toString`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.util.Collection

`parallelStream, stream`

### Methods inherited from interface java.util.List

`containsAll, equals, hashCode`

## Constructor Details

### Configurations

public Configurations()

## Method Details

### getConfiguration

public Configuration getConfiguration(String pid)
Get the configuration

Parameters:
  `pid` - The pid of the configuration
Returns:
  The configuration or `null`

### getFactoryConfigurations

public Collection<Configuration> getFactoryConfigurations(String factoryPid)
Get all factory configurations matching the factory pid.

Parameters:
  `factoryPid` - The factory pid of the configurations
Returns:
  The configurations - the collection might be empty
Since:
  1.5